> ## Documentation Index
> Fetch the complete documentation index at: https://swish.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an order by ID

> Returns order detail with line items and tracking information



## OpenAPI

````yaml https://swish.app/api/2026-07/.well-known/openapi get /orders/{orderId}
openapi: 3.0.0
info:
  title: Swish API
  description: >-
    The Swish API provides endpoints for managing profiles, lists, items,
    subscriptions, notifications, orders, etc. All endpoints require
    authentication using a Bearer token. Responses follow a consistent structure
    with a `data` wrapper for successful responses and standardized error
    formats.
  version: 2026-07
  contact: {}
servers:
  - url: https://swish.app/api/2026-07
security: []
tags: []
paths:
  /orders/{orderId}:
    get:
      tags:
        - Orders
      summary: Get an order by ID
      description: Returns order detail with line items and tracking information
      operationId: OrdersController_findOne
      parameters:
        - name: orderId
          required: true
          in: path
          description: The ID of the order
          schema:
            example: '4568392'
            type: number
      responses:
        '200':
          description: Returns order detail with line items and tracking information
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Response'
                  - properties:
                      data:
                        $ref: '#/components/schemas/OrderDetail'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: Validation failed
                              error:
                                type: string
                                example: Bad Request
                              statusCode:
                                type: number
                                example: 400
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: Failed to authenticate request
                              error:
                                type: string
                                example: Unauthorized
                              statusCode:
                                type: number
                                example: 401
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: >-
                                  You do not have permission to access this
                                  resource
                              error:
                                type: string
                                example: Forbidden
                              statusCode:
                                type: number
                                example: 403
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: The requested resource was not found
                              error:
                                type: string
                                example: Not Found
                              statusCode:
                                type: number
                                example: 404
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: An unexpected error occurred
                              error:
                                type: string
                                example: Internal Server Error
                              statusCode:
                                type: number
                                example: 500
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
      security:
        - Swish API key: []
        - bearer: []
components:
  schemas:
    Response:
      type: object
      properties:
        data:
          type: object
          description: Response data
      required:
        - data
    OrderDetail:
      type: object
      properties:
        id:
          type: string
          description: The order ID
          example: gid://shopify/Order/4568392
        name:
          type: string
          description: The order name
          example: '#4568392'
        processedAt:
          type: string
          description: The date and time when the order was processed
          example: '2025-11-02T10:00:00Z'
        totalQuantity:
          type: number
          description: The total quantity of items in the order
          example: 5
        totalPrice:
          description: The total price of the order
          allOf:
            - $ref: '#/components/schemas/Money'
        displayStatus:
          type: string
          description: The main fulfillment status of the order
          example: PARTIALLY_FULFILLED
          enum:
            - FULFILLED
            - IN_PROGRESS
            - PARTIALLY_FULFILLED
            - UNFULFILLED
        fulfillments:
          description: Array of fulfillments
          type: array
          items:
            $ref: '#/components/schemas/Fulfillment'
        unfulfilledLineItems:
          description: Array of unfulfilled line items
          type: array
          items:
            $ref: '#/components/schemas/OrderLineItem'
      required:
        - id
        - name
        - processedAt
        - totalQuantity
        - totalPrice
        - displayStatus
        - fulfillments
        - unfulfilledLineItems
    ErrorResponse:
      type: object
      properties:
        error:
          description: Error details
          allOf:
            - $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Something went wrong
        error:
          type: string
          description: The error type
          example: Not Found
        statusCode:
          type: number
          description: The HTTP status code of the error
          example: 404
        requestId:
          type: string
          description: The ID of the request that caused the error
          example: 123e4567-e89b-12d3-a456-426614174000
      required:
        - message
        - error
        - statusCode
        - requestId
    Money:
      type: object
      properties:
        currencyCode:
          type: string
          description: The currency code
          example: AUD
        amount:
          type: number
          description: The amount
          example: 100
      required:
        - currencyCode
        - amount
    Fulfillment:
      type: object
      properties:
        id:
          type: string
          description: The fulfillment ID
          example: gid://shopify/Fulfillment/116123324
        deliveredAt:
          type: object
          description: The date and time when the fulfillment was delivered
          example: '2025-11-02T10:00:00Z'
          nullable: true
        displayStatus:
          type: string
          description: The display status of this fulfillment.
          example: IN_TRANSIT
          enum:
            - ATTEMPTED_DELIVERY
            - CANCELED
            - CARRIER_PICKED_UP
            - CONFIRMED
            - DELIVERED
            - FAILURE
            - FULFILLED
            - IN_TRANSIT
            - MARKED_AS_FULFILLED
            - NOT_DELIVERED
            - OUT_FOR_DELIVERY
            - PICKED_UP
            - READY_FOR_PICKUP
            - SUBMITTED
        estimatedDeliveryAt:
          type: object
          description: The date and time when the fulfillment is estimated to be delivered
          example: '2025-11-02T10:00:00Z'
          nullable: true
        inTransitAt:
          type: object
          description: The date and time when the fulfillment is in transit
          example: '2025-11-02T10:00:00Z'
          nullable: true
        totalQuantity:
          type: number
          description: The total quantity of the fulfillment
          example: 1
        trackingInfo:
          description: The tracking information
          type: array
          items:
            $ref: '#/components/schemas/TrackingInfo'
        lineItems:
          description: The line items in the fulfillment
          type: array
          items:
            $ref: '#/components/schemas/OrderLineItem'
      required:
        - id
        - deliveredAt
        - displayStatus
        - estimatedDeliveryAt
        - inTransitAt
        - totalQuantity
        - trackingInfo
        - lineItems
    OrderLineItem:
      type: object
      properties:
        id:
          type: string
          description: The order line item ID
          example: gid://shopify/LineItem/116123324
        title:
          type: string
          description: The title of the product combined with title of the variant.
          example: Meadow Maxi Dress
        variant:
          description: The product variant associated to the line item.
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/OrderProductVariant'
        product:
          description: The product associated with the line item.
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/OrderProduct'
        quantity:
          type: number
          description: The quantity of items in the line item
          example: 1
        originalTotalPrice:
          description: The original total price for this order item
          allOf:
            - $ref: '#/components/schemas/Money'
        requiresShipping:
          type: boolean
          description: Whether the line item requires shipping
          example: true
        unfulfilledQuantity:
          type: number
          description: The unfulfilled quantity of the line item
          example: 1
      required:
        - id
        - title
        - variant
        - product
        - quantity
        - originalTotalPrice
        - requiresShipping
        - unfulfilledQuantity
    TrackingInfo:
      type: object
      properties:
        company:
          type: object
          description: The tracking company
          example: UPS
        number:
          type: object
          description: The tracking number
          example: '1234567890'
        url:
          type: object
          description: The tracking URL
          example: https://www.ups.com/track?number=1234567890
      required:
        - company
        - number
        - url
    OrderProductVariant:
      type: object
      properties:
        id:
          type: string
          description: The product variant ID
          example: gid://shopify/ProductVariant/401234567890
        title:
          type: string
          description: The product variant title
          example: Size 6
        availableForSale:
          type: boolean
          description: Whether the product variant is available for sale
          example: true
        image:
          description: The image of the variant
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/PreviewImage'
      required:
        - id
        - title
        - availableForSale
        - image
    OrderProduct:
      type: object
      properties:
        id:
          type: string
          description: The product ID
          example: gid://shopify/Product/123456789
        title:
          type: string
          description: The product title
          example: Awesome Product
      required:
        - id
        - title
    PreviewImage:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the image
          example: gid://shopify/ProductImage/123456789
        altText:
          type: string
          description: Alt text for the image
          example: Product image
        url:
          type: string
          description: URL of the image
          example: https://cdn.shopify.com/image1.jpg
        thumbhash:
          type: string
          description: Thumbhash for the image
          example: 1QcSHQRnh493V4dIh4eXh1h4kJUI
      required:
        - id
        - altText
        - url
        - thumbhash
  securitySchemes:
    Swish API key:
      scheme: Bearer
      bearerFormat: JWT
      type: http
      description: Enter your JWT token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.